Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc.multiaction
Class NoSuchRequestHandlingMethodException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException
                  org.springframework.web.servlet.mvc.multiaction.NoSuchRequestHandlingMethodException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSuchRequestHandlingMethodException

extends javax.servlet.ServletException

Exception thrown when there is no handler method ("action" method) for a specific HTTP request.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `MethodNameResolver.getHandlerMethodName(javax.servlet.http.HttpServletRequest)`, Serialized Form

Constructor Summary
`NoSuchRequestHandlingMethodException(javax.servlet.http.HttpServletRequest request)` Create a new NoSuchRequestHandlingMethodException for the given request.
`NoSuchRequestHandlingMethodException(java.lang.String methodName, java.lang.Class controllerClass)` Create a new NoSuchRequestHandlingMethodException for the given request.
`NoSuchRequestHandlingMethodException(java.lang.String urlPath, java.lang.String method, java.util.Map parameterMap)` Create a new NoSuchRequestHandlingMethodException.

Method Summary
`java.lang.String` | `getMethodName()` Return the name of the offending method, if known.

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchRequestHandlingMethodException

    public NoSuchRequestHandlingMethodException(javax.servlet.http.HttpServletRequest request)

  Create a new NoSuchRequestHandlingMethodException for the given request.

  Parameters:
    `request` - the offending HTTP request

### NoSuchRequestHandlingMethodException

    public NoSuchRequestHandlingMethodException(java.lang.String urlPath,
                                                java.lang.String method,
                                                java.util.Map parameterMap)

  Create a new NoSuchRequestHandlingMethodException.

  Parameters:
    `urlPath` - the request URI that has been used for handler lookup
    `method` - the HTTP request method of the request
    `parameterMap` - the request's parameters as map

### NoSuchRequestHandlingMethodException

    public NoSuchRequestHandlingMethodException(java.lang.String methodName,
                                                java.lang.Class controllerClass)

  Create a new NoSuchRequestHandlingMethodException for the given request.

  Parameters:
    `methodName` - the name of the handler method that wasn't found
    `controllerClass` - the class the handler method was expected to be in

Method Detail

### getMethodName

    public java.lang.String getMethodName()

  Return the name of the offending method, if known.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD